# Update Event Status **PATCH /v2/api/events** Set event status to completed or failed. Only pending events (with both completed_at and failed_at NULL) can be updated. When setting status to 'completed', completed_at is set and failed_at is cleared. When setting status to 'failed', failed_at is set and completed_at is cleared. This is a once-only operation - events cannot be re-processed once marked as completed or failed. Returns 409 Conflict if event is already processed, 404 Not Found if event doesn't exist. ## Servers - https://api.maddenanalytics.com: https://api.maddenanalytics.com () ## Parameters ### Body: application/json (object) Status update with id and status. Status must be 'completed' or 'failed' - **accountId** (string) - **completedAt** (string) - **createdAt** (string) - **eventType** (string) - **failedAt** (string) - **id** (string) - **payload** (object) ## Responses ### 200 Returns id and updated:true when event was successfully updated #### Body: application/json (object) - **accountId** (string) - **completedAt** (string) - **createdAt** (string) - **eventType** (string) - **failedAt** (string) - **id** (string) - **payload** (object) ### 404 Event not found #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) ### 409 Event already processed #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) ### default All errors will return the same object with a describing code & message #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) [Powered by Bump.sh](https://bump.sh)